pfsoctavergb(1)

NAME
pfsoctavergb - Process red, green and blue channels in pfs stream using Octave

SYNOPSIS
pfsoctavergb <octave_program>

DESCRIPTION
Use this command to execute a GNU Octave program on red, green and blue channels of each frame in the pfs stream. octave_program must be given in quotation marks ("") and must not produce any output (it can output to stderr, not to stdout). Red, green and blue color channels are available in octave_program as R, G and B matrices.

Note: This command requires GNU Octave.

EXAMPLES

pfsinrgbe frames_%04d.hdr | pfsoctavergb "R = R.^2; G = G.^2; B = B.^2;" | pfsview

Expand the dynamic range of a sequence of frames and show the result with pfsview.

BUGS
Please report bugs and comments to Rafal Mantiuk <mantiuk@mpi-sb.mpg.de>.